circular_buffer 0.9.1
circular_buffer: ^0.9.1 copied to clipboard

A Dart Circular Buffer container based on List with a fixed capacity.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add circular_buffer

With Flutter:

 $ flutter pub add circular_buffer

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  circular_buffer: ^0.9.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:circular_buffer/circular_buffer.dart';
1
likes
130
pub points
54%
popularity

A Dart Circular Buffer container based on List with a fixed capacity.

Homepage

Documentation

Documentation
API reference

Uploader

frankmoreno1993@gmail.com

License

MIT (LICENSE)

More

Packages that depend on circular_buffer